
# Installation

Each environment needs to be compiled separately. \
Please follow the README.md of in each sub-floder or the github web of each method: \
auto-gd(our method): http://github.com/open-mmlab/mmdetection/tree/dev-3.x \
owod/OW-DETR: https://github.com/akshitac8/OW-DETR  
owod/PROB: https://github.com/orrzohar/PROB \
owod/UnSniffer: https://github.com/Went-Liang/UnSniffer \
owod/vos: https://github.com/deeplearning-wisc/vos \
We will public the docker files of these environments by Google Drive (To comply with double-blindness, we do not provide private download links).
## Code Structure
```
Code/
└── auto-gd (mmdetection-dev-3.x) /
    └── configs
        └── auto_driving_grounding_dino (fine-tuning methods and our method)
    └── od_configs
        ├──FasterRCNN
        └── D-DETR 
└── owod (detectron2) /
    ├──OW-DETR/
    ├── PROB/
    ├── UnSniffer/
    └── VOS/
└── tools (data conversion tools, visualization tools, and evaluation tools)
    ├── soda_formnat_to_voc.py (for the training of PROB and OW-DETR)
    ├── bdd_formnat_to_voc.py (for the training of PROB and OW-DETR)
    ├── coda_formnat_to_voc.py (for the testing of PROB and OW-DETR)
    ├── convert_to_pretest.py (split val data to a sub-set for the pretest for UnSniffer and VOS) 
    ├── convert_coda_to_pretest.py (split coda data to a sub-set for the pretest for UnSniffer and VOS) 
    ├── soda_visualization.py 
    ├── bdd_visualization.py 
    ├── coda_visualization.py 
    ├── output_visualization.py 
    ├── eval.py (evaluation) 
    └── voc_eval_offical.py (evaluation)


```
### **To reduce the size of the code package, we only kept the part of "auto-gd" we changed! You need to put these codes into the mmdetection-dev-3.x project.**


## Data Structure

```
auto-gd/
└── data/
    └── CODA (include SODA datset and CODA dataset)/
        ├── train (training images from SODA) 
        ├── val (val images from CODA)
        ├── annotations (coco format)
        ├── Annotations (voc format)
        └── ImageSets (ids of images)
    └── BDD 
        ├── train (training images from BDD) 
        ├── annotations (coco format)
        ├── Annotations (voc format)
        └── ImageSets (ids of images)

The data structures of other methods are similar.

We will offer the generated annotation files on Google Drive (To comply with double-blindness, we do not provide private download links).        
```

## Training 

auto-gd: 
```bash 
bash config/auto_driving_grounding_dino/auto_driving_grounding_dino_swin-t_16xb2_1x_soda.py 4
bash od_config/faster_rcnn/faster-rcnn_r50_fpn_2x_soda.py 4
```
PROB and OW-DETR:
```bash 
bash run.sh
```

UnSniffer and VOS:
```bash 
bash soda/bdd_train.sh
```
## Gnerating evaluation Json file:

auto-gd: 
```bash 
bash python demo/image_demo.py ./data/CODA/val $config --weights $weights --texts "$text_prompts" --no-save-pred --no-save-vis --save-json-path $save_json_path

$text_prompts = known class texts + "obstacle . vehicle . roadblock ." (finetuning grounding dino)
$text_prompts = None (FasterRCNN and DDETR)
```
PROB and OW-DETR:
```bash 
bash run_eval.sh
```

UnSniffer and VOS:
```bash 
bash soda/bdd_pretest.sh
bash soda/bdd_test.sh
```
##  Evaluation:
```bash 
python tools/eval.py $prediction_json_file $coda_json_file 0. $train_set (SODA/BDD)  
```

## Visualization:
auto-gd: 
```bash 
bash python demo/image_demo.py ./data/CODA/val $config --weights $weights --texts "$text_prompts" --no-save-pred --pred-score-thr 0.3 --save-json-path $save_json_path

$text_prompts = known class texts + "obstacle . vehicle . roadblock ." (finetuning grounding dino)
$text_prompts = None (FasterRCNN and DDETR)
```
PROB, OW-DETR, UnSniffer, and VOS: 
```bash 
python tools/output_visualization.py 
```


## Result Reproduction

We will make the our modes available for download on Google Drive (To comply with double-blindness, we do not provide private download links).

