import os
import xml.etree.ElementTree as ET
import collections
import cv2
from pycocotools.coco import COCO


# common and corner case
palette = [(255, 0, 0), (255, 255, 0), (0, 255, 0), (0, 255, 255), (0, 0, 255),
         (255, 0, 255), (220, 20, 60), (119, 11, 32)]



target_folder = '/media/heyulin/10ebc972-525f-4aca-b905-281ecbb3c5e4/datasets/BDD'
city_annotation_file = target_folder + "/annotations/bdd100k_labels_images_det_coco_train.json" 

coco_instance = COCO(city_annotation_file)
cat_ids = coco_instance.getCatIds()
categories = coco_instance.loadCats(cat_ids)
catagory_dict = {}
for c in categories:
    catagory_dict[c["id"]] = c["name"]
for index, image_id in enumerate(coco_instance.imgToAnns):
    # import pdb;pdb.set_trace()
    image_details = coco_instance.imgs[image_id]
    file_name = target_folder + "/train/" + image_details['file_name'] + '.jpg'
    print("file_name:", file_name)
    img = cv2.imread(file_name)
    for annotations in coco_instance.imgToAnns[image_id]:
        xmin,ymin, w, h = annotations["bbox"][0], annotations["bbox"][1], annotations["bbox"][2], annotations["bbox"][3]
        category = catagory_dict[annotations["category_id"]]
        xmax = xmin + w
        ymax = ymin + h
        img = cv2.rectangle(img, (int(xmin), int(ymin)), (int(xmax), int(ymax)), (255, 0, 0), 2)
        img = cv2.putText(
            img,
            category, (int(xmin), int(ymin) + len(category) - 2),
            cv2.FONT_HERSHEY_COMPLEX,
            0.7,
            (255, 0, 0),
            2)
    print("file:", file_name)
    # cv2.imshow("draw img", img)
    # cv2.waitKey(0)
    cv2.imshow("0", img)
    cv2.waitKey(0)
    # annotations['bbox']

        