# generate a pretest set for 

import json
import argparse
import random


def set_up_parse():
    parser = argparse.ArgumentParser(
        description='Evaluatation.')
    parser.add_argument('input_json', help='path to json file of orignal')
    parser.add_argument('output_json', help='path to json file of target')
    parser.add_argument('select_num', help='path to json file of target')
    args = parser.parse_args()
    return args

def main():
    args = set_up_parse()
    input_json_path = args.input_json
    output_json_path = args.output_json
    select_num = int(args.select_num)
    # i = 0
    # new_data = []
    with open(input_json_path, 'r') as input_json_file:
        data = json.load(input_json_file) 
        data["images"] = data["images"][:select_num]
        annotations = []
        for anno in data["annotations"]:
            if anno["image_id"] <= select_num:
                annotations.append(anno)
        data["annotations"] = annotations
    with open(output_json_path, 'w') as output_json_file:
        json.dump(data, output_json_file, indent=4, separators=(',', ': '))

if __name__ == "__main__":
    main()